GET_edgeDevices_{linkId}_dbDownloadStatus

GET /edgeDevices/{linkId}/dbDownloadStatus

This resource is used to return the status of a previous edge device database transfer which was requested with the resource /edgeDevices/{linkId}/database.

Notes

  1. Supported by Gateway FW versions 1.38 to latest
  2. Gateway FW Versions 1.49.24 to latest: Include an additional JSON tag “status”

Authentication

Basic: Unique credentials defined and accepted during setup.

Request

URI parameters: <missing or is this 'None'?>

Type: path parameter

  • linkId = linked edge device identifier, as defined in the ENGAGE - JSON Data Structures document, section titled “Gateway Edge Device Link List”.  For reader-controllers this is a constant dev00000.

Success Response(s)

HTTP status code: 200

Response parameters: <missing or is this 'None'?>

Type: application/json

  • downloadStatus = parent JSON object

  • “status” = string (GWE v1.49.24 to latest and all RC)

    • “pending”: Database download to this edge device (linkId) is pending and will be initiated shortly. (Not applicable to reader-controller). This can be caused by either:

      • Database download to another edge device may have been in progress. The Gateway now serializes database transfers to edge devices and transfers databases to one edge device at a time.

      • If this resource is requested immediately after issuing PUT /edgeDevices/{linkId}/database.

    • “inProgress”: The Gateway is currently transferring the database this edge device, or the reader-controller is currently transferring the database.

    • “suspended”: The database download to this device is suspended but will be resumed soon. This can be caused by the edge device disconnecting from the Gateway during a database transfer.

    • “failed”: Something went wrong with the transfer and the IP Host should re-try the database download request.

    • “completed”: The database update to the edge device has completed successfully.

    • “canceled”: The IP host has canceled the most recent database download request.

    • "No previous status available"

      • downloadPercentComplete = integer

        • Range 0 to 100, indicates current transfer percentage of database from Gateway to the edge device. The value is reset after a new transfer request has been made and accepted by Gateway.

        • 0 indicates transfer has not started.

        • Value of 100 indicates transfer is complete, but not yet processed by edge device; or that the transfer and process is complete for reader-controllers.

        • Value of -1 indicates there has been an interruption in transfer to edge device. Host should retry database update request using /edgeDevices/{linkId}/database.

      • processPercentComplete = integer

        • Range 0 to 100, indicates processing status of edge device after transfer of database from Gateway to edge device. The value is reset after a new transfer request has been made and accepted by Gateway.

        • 0 indicates the device has not yet begun to process the database update, or the transfer is not yet complete.

        • 100 indicates the processing is complete, and the host should request updated audits from edge device to confirm database processed correctly.

Example

1.38 to 1.48:

{"downloadStatus":{"downloadPercentComplete":58,"processPercentComplete":0}}

1.49.24 to latest:

{"downloadStatus":{"status":"inProgress","downloadPercentComplete":58,"processPercentComplete":0}}

 

Last Modified: October 15, 2019